<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoFeedFeedsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_feed_feeds
         */
        Schema::create('bixo_feed_feeds', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('subject_id')->nullable();
            $table->string('subject_type', 255)->nullable();
            $table->text('description')->nullable();
            $table->text('images')->nullable();
            $table->string('url', 100)->nullable();
            $table->enum('visibility', ['Yes', 'No'])->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_feed_feeds');
    }
}
