<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoFeedInteractionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_feed_interactions
         */
        Schema::create('bixo_feed_interactions', function ($table) {
            $table->increments('id');
            $table->integer('feed_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('content')->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_feed_interactions');
    }
}
