<?php

namespace Bixo\Feed\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class FeedTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_feed_feeds')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.feed.feed.view',
                'name'      => 'View Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.create',
                'name'      => 'Create Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.edit',
                'name'      => 'Update Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.delete',
                'name'      => 'Delete Feed',
            ],
            
                        [
                'slug'      => 'bixo.feed.feed.verify',
                'name'      => 'Verify Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.approve',
                'name'      => 'Approve Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.publish',
                'name'      => 'Publish Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.unpublish',
                'name'      => 'Unpublish Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.cancel',
                'name'      => 'Cancel Feed',
            ],
            [
                'slug'      => 'bixo.feed.feed.archive',
                'name'      => 'Archive Feed',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/feed/feed',
                'name'        => 'Feed',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/feed/feed',
                'name'        => 'Feed',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'feed',
                'name'        => 'Feed',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Feed',
                'module'    => 'Feed',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.feed.feed.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
