<?php

namespace Bixo\Feed\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class InteractionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_feed_interactions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.feed.interaction.view',
                'name'      => 'View Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.create',
                'name'      => 'Create Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.edit',
                'name'      => 'Update Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.delete',
                'name'      => 'Delete Interaction',
            ],
            
                        [
                'slug'      => 'bixo.feed.interaction.verify',
                'name'      => 'Verify Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.approve',
                'name'      => 'Approve Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.publish',
                'name'      => 'Publish Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.unpublish',
                'name'      => 'Unpublish Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.cancel',
                'name'      => 'Cancel Interaction',
            ],
            [
                'slug'      => 'bixo.feed.interaction.archive',
                'name'      => 'Archive Interaction',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/feed/interaction',
                'name'        => 'Interaction',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/feed/interaction',
                'name'        => 'Interaction',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'interaction',
                'name'        => 'Interaction',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Feed',
                'module'    => 'Interaction',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.feed.interaction.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
