<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for feed in feed package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  feed module in feed package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Feed',
    'names' => 'Feeds',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Feeds',
        'sub' => 'Feeds'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'visibility' => 
            [
                                
                [
                    'key'    => 'Public',
                    'value'  => 'Public',
                    'text'   => 'Public',
                ],
                                
                [
                    'key'    => 'Company',
                    'value'  => 'Company',
                    'text'   => 'Company',
                ],
                                
                [
                    'key'    => 'Private',
                    'value'  => 'Private',
                    'text'   => 'Private',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'subject_id'                 => 'Please enter subject id',
        'subject_type'               => 'Please enter subject type',
        'description'                => 'Please enter description',
        'images'                     => 'Please enter images',
        'url'                        => 'Please enter url',
        'visibility'                 => 'Please select visibility',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'PRIMARY'                    => 'Please select PRIMARY',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'subject_id'                 => 'Subject id',
        'subject_type'               => 'Subject type',
        'description'                => 'Description',
        'images'                     => 'Images',
        'url'                        => 'Url',
        'visibility'                 => 'Visibility',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'PRIMARY'                    => 'PRIMARY',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
