<?php

// Routes for feed.

// Guard routes for feed
Route::prefix('{guard}/feed')->group(function () {

    Route::get('feed/report/{report}', 'FeedReportController');
    Route::patch('feed/actions/{action}', 'FeedActionsController');
    Route::patch('feed/action/{feed}/{action}', 'FeedActionController');
    Route::patch('feed/workflow/{feed}/{transition}', 'FeedWorkflowController');
    Route::resource('feed', 'FeedResourceController');
});

// Guard routes for interaction
Route::prefix('{guard}/feed')->group(function () {

    Route::get('interaction/report/{report}', 'InteractionReportController');
    Route::patch('interaction/actions/{action}', 'InteractionActionsController');
    Route::patch('interaction/action/{interaction}/{action}', 'InteractionActionController');
    Route::patch('interaction/workflow/{interaction}/{transition}', 'InteractionWorkflowController');
    Route::resource('interaction', 'InteractionResourceController');
});



// Public routes for feed
Route::get('feeds/', 'FeedPublicController@index');
Route::get('feed/{slug?}', 'FeedPublicController@show');
