<?php

// Web routes  for feed.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for feed

Route::prefix('{guard}/feed')->group(function () {

    Route::get('/workflow/{feed}/{user}', 'FeedWorkflowController@get')
        ->name('bixo.feed.workflow');
    Route::post('/workflow/{feed}/{user}', 'FeedWorkflowController@post');

    Route::get('/action/{feed}/{user}', 'FeedActionController@get')
        ->name('bixo.feed.action');
    Route::post('/action/{feed}/{user}', 'FeedActionController@post');

});


// Workflow routes for interaction

Route::prefix('{guard}/interaction')->group(function () {

    Route::get('/workflow/{interaction}/{user}', 'InteractionWorkflowController@get')
        ->name('bixo.feed.workflow');
    Route::post('/workflow/{interaction}/{user}', 'InteractionWorkflowController@post');

    Route::get('/action/{interaction}/{user}', 'InteractionActionController@get')
        ->name('bixo.feed.action');
    Route::post('/action/{interaction}/{user}', 'InteractionActionController@post');

});

