<?php

namespace Bixo\Feed\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Feed\Models\Feed;


class FeedAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.feed.feed';
    protected $eventClass = \Bixo\Feed\Events\FeedAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Feed $feed, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $feed;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Feed $feed, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $feed = $feed->create($attributes);
        return $feed;
    }

    public function update(Feed $feed, array $request)
    {
        $attributes = $request;
        $feed->update($attributes);
        return $feed;
    }

    public function destroy(Feed $feed, array $request)
    {
        $feed->delete();
        return $feed;
    }

    public function copy(Feed $feed, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $feed = $feed->replicate();
            $feed->created_at = Carbon::now();
            $feed->save();
            return $feed;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $feed->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $feed;
    }


}
