<?php

namespace Bixo\Feed\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Feed\Http\Requests\FeedActionsRequest;
use Bixo\Feed\Actions\FeedActions;

/**
 * Admin web controller class.
 */
class FeedActionsController extends BaseController
{

    /**
     * Action controller function for feed.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(FeedActionsRequest $request, $action)
    {
        try {
            $feed = FeedActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('feed::feed.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('feed/feed/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('feed/feed/' . $action))
                ->redirect();
        }
    }
}
