<?php

namespace Bixo\Feed\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Feed\Actions\FeedReport;
use Bixo\Feed\Http\Requests\FeedReportRequest;

/**
 * Admin web controller class.
 */
class FeedReportController extends BaseController
{
    /**
     * Action controller function for feed.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(FeedReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Feed::class);
            $data = FeedReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('feed::feed.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('feed/feed/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('feed/feed/' . $report))
                ->redirect();
        }
    }
}
