<?php

namespace Bixo\Feed\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Feed\Actions\InteractionReport;
use Bixo\Feed\Http\Requests\InteractionReportRequest;

/**
 * Admin web controller class.
 */
class InteractionReportController extends BaseController
{
    /**
     * Action controller function for interaction.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(InteractionReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Interaction::class);
            $data = InteractionReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('feed::interaction.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('feed/interaction/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('feed/interaction/' . $report))
                ->redirect();
        }
    }
}
