<?php

namespace Bixo\Feed\Policies;

use Bixo\Feed\Models\Feed;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait FeedAction
{

    /**
     * Determine if the given user can copy the given feed.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Feed $feed)
    {

        if ($authUser->canDo('feed.feed.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given feed.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Feed $feed) {

        if ($authUser->canDo('feed.feed.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given feed.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Feed $feed)
    {

        if ($authUser->canDo('feed.feed.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
