<?php


namespace Bixo\Feed\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait FeedReport
{

    /**
     * Determine if the given user can approve the given feed.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('feed.feed.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given feed.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('feed.feed.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given feed.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('feed.feed.report.download')) {
            return true;
        }

        return false;
    }
}
