<?php


namespace Bixo\Feed\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait InteractionReport
{

    /**
     * Determine if the given user can approve the given interaction.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('feed.interaction.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given interaction.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('feed.interaction.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given interaction.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('feed.interaction.report.download')) {
            return true;
        }

        return false;
    }
}
