<?php

namespace Bixo\Feed\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Feed policy
        \Bixo\Feed\Models\Feed::class 
        => \Bixo\Feed\Policies\FeedPolicy::class,// Bind Interaction policy
        \Bixo\Feed\Models\Interaction::class 
        => \Bixo\Feed\Policies\InteractionPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
