<?php

namespace Bixo\Feed\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Feed\Events\FeedAction;
use Bixo\Feed\Events\FeedWorkflow;
use Bixo\Feed\Listeners\FeedAction as FeedActionListener;
use Bixo\Feed\Listeners\FeedWorkflow as FeedWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        FeedAction::class => [
            FeedActionListener::class,
        ],
        FeedWorkflow::class => [
            FeedWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
